package com.rehan.yodosdk;

import android.app.Activity;
import android.content.Context;

import androidx.annotation.NonNull;

import com.rehan.yodosdk.Inter.YodoInterHelper;
import com.yodo1.mas.Yodo1Mas;
import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.helper.model.Yodo1MasAdBuildConfig;

import java.util.function.Function;

import io.flutter.plugin.common.MethodChannel;

public class YodoCoreHelper {

    public static void initYodoSdk(MethodChannel channel, Activity context, String appId) {
        Yodo1Mas.getInstance().initMas(context, appId, new Yodo1Mas.InitListener() {
            @Override
            public void onMasInitSuccessful() {
                channel.invokeMethod("init_success", null);
                YodoInterHelper.loadOnly(context);
                System.out.println("Init Success:===>");
            }

            @Override
            public void onMasInitFailed(@NonNull Yodo1MasError error) {
                channel.invokeMethod("init_error", error.getJsonObject());
                System.out.println("Init Failed:===> "+error.getJsonObject());
            }
        });
    }
}
